import { OnInit, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TabComponent implements OnInit {
    template: TemplateRef<any>;
    label: string;
    disabled: boolean;
    set setDisabled(value: boolean);
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabComponent, "ui-tab", never, { "label": "label"; "setDisabled": "disabled"; }, {}, never, ["*"]>;
}
